Multivariate Pattern Analysis in Python

# mvpa2.misc.surfing.volume_mask_dict.deprecated

class `mvpa2.misc.surfing.volume_mask_dict.``deprecated`(extra='')

  Decorator to mark a function or class as deprecated.

  Issue a warning when the function is called/the class is instantiated and adds a warning to the docstring.

  The optional extra argument will be appended to the deprecation message and the docstring. Note: to use this with the default value for extra, put in an empty of parentheses:

      >>> from sklearn.utils import deprecated
      >>> deprecated()
      <sklearn.utils.deprecated object at ...>

      >>> @deprecated()
      ... def some_function(): pass

  Methods

  Parameters:

  extra: string

  > to be added to the deprecation messages

  Methods